Bug 982485 - 3.3.7 Manually Adjusting the System Clock
3.3.7 Manually Adjusting the System Clock
Status: CLOSED CURRENTRELEASE
Product: Fedora Documentation
Classification: Fedora
Component: system-administrator's-guide (Show other bugs)
devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Wadeley
Fedora Docs QA
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 03:15 EDT by Ryan
Modified: 2015-02-14 11:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-14 11:02:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan 2013-07-09 03:15:37 EDT
Description of problem:

Section 3.3.7 - Manualy adjusting system clock

1) Manually spelt wrong in title

2) when typing the commands listed, I get the following:

$ chrony
chrony version 1.28-pre1
Copyright (C) 1997-2003, 2007, 2009-2012 Richard P. Curnow and others
chrony comes with ABSOLUTELY NO WARRANTY.  This is free software, and
you are welcome to redistribute it under certain conditions.  See the
GNU General Public License version 2 for details.

chronyc> password
password: (tried root password)
501 Not authorised --- Reply not authenticated
chronyc> makestep
501 Not authorised

After consulting the help file (e.g. chronyc> help) it states:

password [<new-password>] : Set command authentication password

So it seems the password option sets the command auth password, but then it should have set the password so this is confusing.
Comment 1 Ryan 2013-07-09 03:18:04 EDT
I am guessing that the password is the one defined in chrony.keys
Comment 2 Ryan 2013-07-09 04:10:46 EDT
after re-reviewing the content, I have determined that the only issue here is that I didn't read section 3.2.4, and that the prompt resulting from issuing the chrony command is wrong in section 3.3.7, so that's all that needs to change...
Comment 3 Ryan 2013-07-09 04:11:12 EDT
that and the spelling of manually
Comment 4 Stephen Wadeley 2013-07-09 15:58:55 EDT
Hello Ryan

Thank you for proof reading that section and for raising the bug.

I am going to improve the example as follows:

chrony> password commandkey-password

Where commandkey-password is the command key or password stored in the key file.

Plus attend to spelling and typos. 

Thank you
Comment 5 Stephen Wadeley 2013-07-10 04:20:55 EDT
commit 483f9c7da802ad733370125b836ffde07201cd3d
Author: Stephen Wadeley <swadeley@redhat.com>
Date:   Wed Jul 10 09:42:14 2013 +0200

    Bug 982485 - 3.3.7 Manually Adjusting the System Clock

= = =

Guide owner to apply commit to Fedora 18 and Fedora 19 branches please.
Comment 7 Stephen Wadeley 2015-02-14 11:02:15 EST
Hello

I will close this bug now. Latest version:

http://docs.fedoraproject.org/en-US/Fedora/21/html/System_Administrators_Guide/sect-Manually_Adjusting-the-System_Clock.html


Thank you

Note You need to log in before you can comment on or make changes to this bug.